@echo off
if %1$ == $ echo ***************************************************************
if %1$ == $ echo . Usage: nfs311 NW_drive
if %1$ == $ echo .
if %1$ == $ echo . Example : nfs311 f:
if %1$ == $ echo .
if %1$ == $ echo .    where   f: =  Network drive mapped to SYS: directory
if %1$ == $ echo ***************************************************************
if %1$ == $ goto exit

@echo off
echo .*************************************************************************
echo .                          I M P O R T A N T                             
echo .
echo . This patch is for updating NWNFS 1.2b product for NetWare 3.1x ONLY!!!
echo . If you are want to run NWNFS 1.2b on NetWare 4.0, please use nfs40.bat
echo .
echo .       You need approximately 2 MB disk space to apply this patch.
echo .
echo .*************************************************************************
echo .
echo .
yesno "    Do you want to continue with the patch? [y/n] "
if errorlevel 1 goto exit

echo .
echo . Copying files to local directory 
echo .
copy %1\system\pkernel.nlm  > nul
copy %1\system\nfsserv.nlm  nfsserv.old > nul
copy %1\system\xconsole.nlm xconsole.old > nul
copy %1\system\plpd.nlm plpd.old > nul
copy %1\system\ftpserv.nlm ftpserv.old > nul
copy %1\system\nfs.nam > nul 

unpackr nfsserv.old  nfsserv.nlm > nul
if errorlevel 1 copy nfsserv.old  nfsserv.nlm > nul
unpackr xconsole.old xconsole.nlm > nul
if errorlevel 1 copy xconsole.old xconsole.nlm > nul
unpackr plpd.old plpd.nlm > nul
if errorlevel 1 copy plpd.old plpd.nlm > nul
unpackr ftpserv.old ftpserv.nlm > nul
if errorlevel 1 copy ftpserv.old ftpserv.nlm > nul


echo .
echo . Updating Files
echo .

patch ptf-f153 

yesno "    Do you want to continue with the patch? [y/n] "
if errorlevel 1 goto exit


echo .
echo . Copying files back to server : phase 1
echo .
flag %1\system\pkernel.nlm rw > nul
flag %1\system\nfsserv.nlm rw > nul
flag %1\system\plpd.nlm rw > nul
flag %1\system\ftpserv.nlm rw > nul
flag %1\system\nfs.nam rw > nul
flag %1\system\xconsole.nlm rw > nul



echo .
echo . Copying files back to server : phase 2
echo .
copy pkernel.nlm %1\system\pkernel.nlm > nul
copy nfsserv.nlm %1\system\nfsserv.nlm > nul
copy plpd.nlm %1\system\plpd.nlm > nul
copy ftpserv.nlm %1\system\ftpserv.nlm > nul
copy nfs.nam %1\system\nfs.nam > nul
copy xconsole.nlm %1\system\xconsole.nlm > nul

echo .
echo . Copying files back to server : phase 3
echo .
flag %1\system\pkernel.nlm ros > nul
flag %1\system\nfsserv.nlm ros > nul
flag %1\system\plpd.nlm ros > nul
flag %1\system\ftpserv.nlm ros > nul
flag %1\system\nfs.nam ros > nul
flag %1\system\xconsole.nlm ros > nul


echo .
echo . Deleting temporary files
echo .
del pkernel.nlm 
del nfsserv.nlm 
del plpd.nlm 
del xconsole.nlm 
del *.old

echo . ***********************************************************************
echo . Now re-start NFS service
echo . 
echo . At server console, type "nfsstop" then "nfsstart".
echo . 
echo . ***********************************************************************


:exit
exit
